# StartAgentMonitor

## 1. 接口描述

本接口(StartAgentMonitor)用于开启Agent监控采集。

{% hint style="info" %}
**注意事项**

* 要开启Agent监控采集，要确保安装了QGA(QEMU Guest Agent)。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型     | 描述        |
| ---------- | -- | ------ | --------- |
| instanceId | 是  | String | 要操作的实例ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 开启实例Agent采集监控。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: StartAgentMonitor
<Common Request Params>

Request：
{
  "instanceId": "<instanceId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                           | 说明        |
| ------- | --------------------------------------------- | --------- |
| 404     | INVALID\_INSTANCE\_NOT\_FOUND                 | 服务器实例不存在。 |
| 400     | OPERATION\_DENIED\_INSTANCE\_AGENT\_NOT\_OPEN | 实例未安装QGA。 |
